Skip to contents

# Detect delimiters in string based on allowed delimiters

Source: `R/separate_string.R`
`detect_delimiter.Rd`

Accepts any repeat of delimiters and includes surrounding whitespace

## Usage

    detect_delimiter(data, delimiters = c("_", "-", ";", "\n", ","))

## Arguments

delimiters

  allowed delimiters

text

  character vector

## Value

character vector

## Examples

    sapply(c("Walk - run", "Sel__Re", "what;now"), detect_delimiter)
    #> Walk - run    Sel__Re   what;now
    #>      " - "       "__"        ";"